summaryrefslogtreecommitdiffstats
path: root/development/bluefish
diff options
context:
space:
mode:
Diffstat (limited to 'development/bluefish')
-rw-r--r--development/bluefish/README11
-rw-r--r--development/bluefish/bluefish.SlackBuild16
-rw-r--r--development/bluefish/bluefish.info8
3 files changed, 20 insertions, 15 deletions
diff --git a/development/bluefish/README b/development/bluefish/README
index d1778ef236..52080b7673 100644
--- a/development/bluefish/README
+++ b/development/bluefish/README
@@ -1,6 +1,5 @@
-Bluefish is a powerful editor for experienced web designers
-and programmers. Bluefish supports many programming and markup
-languages, but it focuses on editing dynamic and interactive
-websites. See features for an extensive overview, take a look
-at the screenshots, or download it right away. Bluefish is an
-open source development project, released under the GPL licence.
+Bluefish is a powerful editor for experienced web designers and programmers.
+Bluefish supports many programming and markup languages, but it focuses on
+editing dynamic and interactive websites. See features for an extensive
+overview, take a look at the screenshots, or download it right away.
+Bluefish is an open source development project released under the GPL licence.
diff --git a/development/bluefish/bluefish.SlackBuild b/development/bluefish/bluefish.SlackBuild
index 5662a35d31..37af73372f 100644
--- a/development/bluefish/bluefish.SlackBuild
+++ b/development/bluefish/bluefish.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for bluefish
-# Copyright 2006-2009 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=bluefish
-VERSION=1.0.7
+VERSION=2.0.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,6 +42,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -59,10 +62,13 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--without-libgnomeui \
--disable-update-databases \
+ --disable-xml-catalog-update \
--build=$ARCH-slackware-linux
make
@@ -70,9 +76,9 @@ make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man || exit 1
@@ -91,4 +97,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bluefish/bluefish.info b/development/bluefish/bluefish.info
index 42003fbcc4..bcf53a122a 100644
--- a/development/bluefish/bluefish.info
+++ b/development/bluefish/bluefish.info
@@ -1,10 +1,10 @@
PRGNAM="bluefish"
-VERSION="1.0.7"
+VERSION="2.0.0"
HOMEPAGE="http://bluefish.openoffice.nl/index.html"
-DOWNLOAD="http://www.bennewitz.com/bluefish/stable/source/bluefish-1.0.7.tar.bz2"
+DOWNLOAD="http://www.bennewitz.com/bluefish/stable/source/bluefish-2.0.0.tar.bz2"
+MD5SUM="ac9b1e8ef6d5691718a0daa6c78d5618"
DOWNLOAD_x86_64=""
-MD5SUM="2c3b3c9c8f8e32b9473dfd879f216dea"
MD5SUM_x86_64=""
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="BP{k}"
+APPROVED="Erik Hanson"